package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class FragmentClazzEnrolmentBindingImpl extends FragmentClazzEnrolmentBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.fragment_clazz_Enrolment_edit_clx, 10);
        sViewsWithIds.put(R.id.clazz_enrolment_edit_outcome_textinputlayout, 11);
    }
    // views
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback116;
    // values
    // listeners
    // Inverse Binding Event Handlers
    private androidx.databinding.InverseBindingListener clazzEnrolmentEditFromDateTextdateTimeInMillisAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of clazzEnrolment.clazzEnrolmentDateJoined
            //         is clazzEnrolment.setClazzEnrolmentDateJoined((long) callbackArg_0)
            long callbackArg_0 = com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.getDateTimeInMillis(clazzEnrolmentEditFromDateText);
            // localize variables for thread safety
            // clazzEnrolment != null
            boolean clazzEnrolmentJavaLangObjectNull = false;
            // clazzEnrolment
            com.ustadmobile.lib.db.entities.ClazzEnrolmentWithLeavingReason clazzEnrolment = mClazzEnrolment;
            // clazzEnrolment.clazzEnrolmentDateJoined
            long clazzEnrolmentClazzEnrolmentDateJoined = 0;



            clazzEnrolmentJavaLangObjectNull = (clazzEnrolment) != (null);
            if (clazzEnrolmentJavaLangObjectNull) {




                clazzEnrolment.setClazzEnrolmentDateJoined(((long) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener clazzEnrolmentEditOutcomeTextselectedMessageIdOptionAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of clazzEnrolment.clazzEnrolmentOutcome
            //         is clazzEnrolment.setClazzEnrolmentOutcome((int) callbackArg_0)
            int callbackArg_0 = com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.getSelectedMessageIdOption(clazzEnrolmentEditOutcomeText);
            // localize variables for thread safety
            // clazzEnrolment != null
            boolean clazzEnrolmentJavaLangObjectNull = false;
            // clazzEnrolment
            com.ustadmobile.lib.db.entities.ClazzEnrolmentWithLeavingReason clazzEnrolment = mClazzEnrolment;
            // clazzEnrolment.clazzEnrolmentOutcome
            int clazzEnrolmentClazzEnrolmentOutcome = 0;



            clazzEnrolmentJavaLangObjectNull = (clazzEnrolment) != (null);
            if (clazzEnrolmentJavaLangObjectNull) {




                clazzEnrolment.setClazzEnrolmentOutcome(((int) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener clazzEnrolmentEditRoleTextselectedMessageIdOptionAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of clazzEnrolment.clazzEnrolmentRole
            //         is clazzEnrolment.setClazzEnrolmentRole((int) callbackArg_0)
            int callbackArg_0 = com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.getSelectedMessageIdOption(clazzEnrolmentEditRoleText);
            // localize variables for thread safety
            // clazzEnrolment != null
            boolean clazzEnrolmentJavaLangObjectNull = false;
            // clazzEnrolment
            com.ustadmobile.lib.db.entities.ClazzEnrolmentWithLeavingReason clazzEnrolment = mClazzEnrolment;
            // clazzEnrolment.clazzEnrolmentRole
            int clazzEnrolmentClazzEnrolmentRole = 0;



            clazzEnrolmentJavaLangObjectNull = (clazzEnrolment) != (null);
            if (clazzEnrolmentJavaLangObjectNull) {




                clazzEnrolment.setClazzEnrolmentRole(((int) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener clazzEnrolmentEditToDateTextdateTimeInMillisAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of clazzEnrolment.clazzEnrolmentDateLeft
            //         is clazzEnrolment.setClazzEnrolmentDateLeft((long) callbackArg_0)
            long callbackArg_0 = com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.getDateTimeInMillis(clazzEnrolmentEditToDateText);
            // localize variables for thread safety
            // clazzEnrolment != null
            boolean clazzEnrolmentJavaLangObjectNull = false;
            // clazzEnrolment
            com.ustadmobile.lib.db.entities.ClazzEnrolmentWithLeavingReason clazzEnrolment = mClazzEnrolment;
            // clazzEnrolment.clazzEnrolmentDateLeft
            long clazzEnrolmentClazzEnrolmentDateLeft = 0;



            clazzEnrolmentJavaLangObjectNull = (clazzEnrolment) != (null);
            if (clazzEnrolmentJavaLangObjectNull) {




                clazzEnrolment.setClazzEnrolmentDateLeft(((long) (callbackArg_0)));
            }
        }
    };

    public FragmentClazzEnrolmentBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 12, sIncludes, sViewsWithIds));
    }
    private FragmentClazzEnrolmentBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (com.google.android.material.textfield.TextInputEditText) bindings[4]
            , (com.google.android.material.textfield.TextInputLayout) bindings[3]
            , (com.ustadmobile.port.android.view.IdOptionAutoCompleteTextView) bindings[7]
            , (com.google.android.material.textfield.TextInputLayout) bindings[11]
            , (com.google.android.material.textfield.TextInputEditText) bindings[9]
            , (com.google.android.material.textfield.TextInputLayout) bindings[8]
            , (com.ustadmobile.port.android.view.IdOptionAutoCompleteTextView) bindings[2]
            , (com.google.android.material.textfield.TextInputLayout) bindings[1]
            , (com.google.android.material.textfield.TextInputEditText) bindings[6]
            , (com.google.android.material.textfield.TextInputLayout) bindings[5]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[10]
            , (androidx.core.widget.NestedScrollView) bindings[0]
            );
        this.clazzEnrolmentEditFromDateText.setTag(null);
        this.clazzEnrolmentEditFromDateTextinputlayout.setTag(null);
        this.clazzEnrolmentEditOutcomeText.setTag(null);
        this.clazzEnrolmentEditReasonText.setTag(null);
        this.clazzEnrolmentEditReasonTextinputlayout.setTag(null);
        this.clazzEnrolmentEditRoleText.setTag(null);
        this.clazzEnrolmentEditRoleTextinputlayout.setTag(null);
        this.clazzEnrolmentEditToDateText.setTag(null);
        this.clazzEnrolmentEditToDateTextinputlayout.setTag(null);
        this.fragmentClazzEnrolmentEditScroll.setTag(null);
        setRootTag(root);
        // listeners
        mCallback116 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x2000L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.loading == variableId) {
            setLoading((boolean) variable);
        }
        else if (BR.clazzEnrolment == variableId) {
            setClazzEnrolment((com.ustadmobile.lib.db.entities.ClazzEnrolmentWithLeavingReason) variable);
        }
        else if (BR.presenter == variableId) {
            setPresenter((com.ustadmobile.core.controller.ClazzEnrolmentEditPresenter) variable);
        }
        else if (BR.fieldsEnabled == variableId) {
            setFieldsEnabled((boolean) variable);
        }
        else if (BR.statusOptions == variableId) {
            setStatusOptions((java.util.List<com.ustadmobile.core.util.IdOption>) variable);
        }
        else if (BR.endDateError == variableId) {
            setEndDateError((java.lang.String) variable);
        }
        else if (BR.roleOptions == variableId) {
            setRoleOptions((java.util.List<com.ustadmobile.core.util.IdOption>) variable);
        }
        else if (BR.statusSelectorListener == variableId) {
            setStatusSelectorListener((com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption>) variable);
        }
        else if (BR.startDateError == variableId) {
            setStartDateError((java.lang.String) variable);
        }
        else if (BR.dateTimeModeEnd == variableId) {
            setDateTimeModeEnd((java.lang.Integer) variable);
        }
        else if (BR.dateTimeMode == variableId) {
            setDateTimeMode((java.lang.Integer) variable);
        }
        else if (BR.roleSelectedError == variableId) {
            setRoleSelectedError((java.lang.String) variable);
        }
        else if (BR.timeZoneId == variableId) {
            setTimeZoneId((java.lang.String) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setLoading(boolean Loading) {
        this.mLoading = Loading;
    }
    public void setClazzEnrolment(@Nullable com.ustadmobile.lib.db.entities.ClazzEnrolmentWithLeavingReason ClazzEnrolment) {
        this.mClazzEnrolment = ClazzEnrolment;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.clazzEnrolment);
        super.requestRebind();
    }
    public void setPresenter(@Nullable com.ustadmobile.core.controller.ClazzEnrolmentEditPresenter Presenter) {
        this.mPresenter = Presenter;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.presenter);
        super.requestRebind();
    }
    public void setFieldsEnabled(boolean FieldsEnabled) {
        this.mFieldsEnabled = FieldsEnabled;
        synchronized(this) {
            mDirtyFlags |= 0x8L;
        }
        notifyPropertyChanged(BR.fieldsEnabled);
        super.requestRebind();
    }
    public void setStatusOptions(@Nullable java.util.List<com.ustadmobile.core.util.IdOption> StatusOptions) {
        this.mStatusOptions = StatusOptions;
        synchronized(this) {
            mDirtyFlags |= 0x10L;
        }
        notifyPropertyChanged(BR.statusOptions);
        super.requestRebind();
    }
    public void setEndDateError(@Nullable java.lang.String EndDateError) {
        this.mEndDateError = EndDateError;
        synchronized(this) {
            mDirtyFlags |= 0x20L;
        }
        notifyPropertyChanged(BR.endDateError);
        super.requestRebind();
    }
    public void setRoleOptions(@Nullable java.util.List<com.ustadmobile.core.util.IdOption> RoleOptions) {
        this.mRoleOptions = RoleOptions;
        synchronized(this) {
            mDirtyFlags |= 0x40L;
        }
        notifyPropertyChanged(BR.roleOptions);
        super.requestRebind();
    }
    public void setStatusSelectorListener(@Nullable com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption> StatusSelectorListener) {
        this.mStatusSelectorListener = StatusSelectorListener;
        synchronized(this) {
            mDirtyFlags |= 0x80L;
        }
        notifyPropertyChanged(BR.statusSelectorListener);
        super.requestRebind();
    }
    public void setStartDateError(@Nullable java.lang.String StartDateError) {
        this.mStartDateError = StartDateError;
        synchronized(this) {
            mDirtyFlags |= 0x100L;
        }
        notifyPropertyChanged(BR.startDateError);
        super.requestRebind();
    }
    public void setDateTimeModeEnd(@Nullable java.lang.Integer DateTimeModeEnd) {
        this.mDateTimeModeEnd = DateTimeModeEnd;
        synchronized(this) {
            mDirtyFlags |= 0x200L;
        }
        notifyPropertyChanged(BR.dateTimeModeEnd);
        super.requestRebind();
    }
    public void setDateTimeMode(@Nullable java.lang.Integer DateTimeMode) {
        this.mDateTimeMode = DateTimeMode;
        synchronized(this) {
            mDirtyFlags |= 0x400L;
        }
        notifyPropertyChanged(BR.dateTimeMode);
        super.requestRebind();
    }
    public void setRoleSelectedError(@Nullable java.lang.String RoleSelectedError) {
        this.mRoleSelectedError = RoleSelectedError;
        synchronized(this) {
            mDirtyFlags |= 0x800L;
        }
        notifyPropertyChanged(BR.roleSelectedError);
        super.requestRebind();
    }
    public void setTimeZoneId(@Nullable java.lang.String TimeZoneId) {
        this.mTimeZoneId = TimeZoneId;
        synchronized(this) {
            mDirtyFlags |= 0x1000L;
        }
        notifyPropertyChanged(BR.timeZoneId);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.lib.db.entities.ClazzEnrolmentWithLeavingReason clazzEnrolment = mClazzEnrolment;
        boolean clazzEnrolmentClazzEnrolmentOutcomeClazzEnrolmentOUTCOMEINPROGRESS = false;
        int androidxDatabindingViewDataBindingSafeUnboxDateTimeModeEnd = 0;
        boolean startDateErrorJavaLangObjectNull = false;
        com.ustadmobile.core.controller.ClazzEnrolmentEditPresenter presenter = mPresenter;
        int clazzEnrolmentClazzEnrolmentRole = 0;
        boolean roleSelectedErrorJavaLangObjectNull = false;
        boolean fieldsEnabled = mFieldsEnabled;
        java.util.List<com.ustadmobile.core.util.IdOption> statusOptions = mStatusOptions;
        boolean endDateErrorJavaLangObjectNull = false;
        java.lang.String clazzEnrolmentLeavingReasonLeavingReasonTitle = null;
        java.lang.String endDateError = mEndDateError;
        java.util.List<com.ustadmobile.core.util.IdOption> roleOptions = mRoleOptions;
        long clazzEnrolmentClazzEnrolmentDateJoined = 0;
        com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption> statusSelectorListener = mStatusSelectorListener;
        long clazzEnrolmentClazzEnrolmentDateLeft = 0;
        java.lang.String startDateError = mStartDateError;
        com.ustadmobile.lib.db.entities.LeavingReason clazzEnrolmentLeavingReason = null;
        java.lang.Integer dateTimeModeEnd = mDateTimeModeEnd;
        int androidxDatabindingViewDataBindingSafeUnboxDateTimeMode = 0;
        java.lang.Integer dateTimeMode = mDateTimeMode;
        java.lang.String roleSelectedError = mRoleSelectedError;
        java.lang.String timeZoneId = mTimeZoneId;
        int clazzEnrolmentClazzEnrolmentOutcome = 0;

        if ((dirtyFlags & 0x3652L) != 0) {


            if ((dirtyFlags & 0x2042L) != 0) {

                    if (clazzEnrolment != null) {
                        // read clazzEnrolment.clazzEnrolmentRole
                        clazzEnrolmentClazzEnrolmentRole = clazzEnrolment.getClazzEnrolmentRole();
                    }
            }
            if ((dirtyFlags & 0x3402L) != 0) {

                    if (clazzEnrolment != null) {
                        // read clazzEnrolment.clazzEnrolmentDateJoined
                        clazzEnrolmentClazzEnrolmentDateJoined = clazzEnrolment.getClazzEnrolmentDateJoined();
                    }
            }
            if ((dirtyFlags & 0x3202L) != 0) {

                    if (clazzEnrolment != null) {
                        // read clazzEnrolment.clazzEnrolmentDateLeft
                        clazzEnrolmentClazzEnrolmentDateLeft = clazzEnrolment.getClazzEnrolmentDateLeft();
                    }
            }
            if ((dirtyFlags & 0x2002L) != 0) {

                    if (clazzEnrolment != null) {
                        // read clazzEnrolment.leavingReason
                        clazzEnrolmentLeavingReason = clazzEnrolment.getLeavingReason();
                    }


                    if (clazzEnrolmentLeavingReason != null) {
                        // read clazzEnrolment.leavingReason.leavingReasonTitle
                        clazzEnrolmentLeavingReasonLeavingReasonTitle = clazzEnrolmentLeavingReason.getLeavingReasonTitle();
                    }
            }
            if ((dirtyFlags & 0x2012L) != 0) {

                    if (clazzEnrolment != null) {
                        // read clazzEnrolment.clazzEnrolmentOutcome
                        clazzEnrolmentClazzEnrolmentOutcome = clazzEnrolment.getClazzEnrolmentOutcome();
                    }

                if ((dirtyFlags & 0x2002L) != 0) {

                        // read clazzEnrolment.clazzEnrolmentOutcome != ClazzEnrolment.OUTCOME_IN_PROGRESS
                        clazzEnrolmentClazzEnrolmentOutcomeClazzEnrolmentOUTCOMEINPROGRESS = (clazzEnrolmentClazzEnrolmentOutcome) != (com.ustadmobile.lib.db.entities.ClazzEnrolment.OUTCOME_IN_PROGRESS);
                }
            }
        }
        if ((dirtyFlags & 0x2008L) != 0) {
        }
        if ((dirtyFlags & 0x2012L) != 0) {
        }
        if ((dirtyFlags & 0x2020L) != 0) {



                // read endDateError != null
                endDateErrorJavaLangObjectNull = (endDateError) != (null);
        }
        if ((dirtyFlags & 0x2042L) != 0) {
        }
        if ((dirtyFlags & 0x2080L) != 0) {
        }
        if ((dirtyFlags & 0x2100L) != 0) {



                // read startDateError != null
                startDateErrorJavaLangObjectNull = (startDateError) != (null);
        }
        if ((dirtyFlags & 0x3202L) != 0) {



                // read androidx.databinding.ViewDataBinding.safeUnbox(dateTimeModeEnd)
                androidxDatabindingViewDataBindingSafeUnboxDateTimeModeEnd = androidx.databinding.ViewDataBinding.safeUnbox(dateTimeModeEnd);
        }
        if ((dirtyFlags & 0x3402L) != 0) {



                // read androidx.databinding.ViewDataBinding.safeUnbox(dateTimeMode)
                androidxDatabindingViewDataBindingSafeUnboxDateTimeMode = androidx.databinding.ViewDataBinding.safeUnbox(dateTimeMode);
        }
        if ((dirtyFlags & 0x2800L) != 0) {



                // read roleSelectedError != null
                roleSelectedErrorJavaLangObjectNull = (roleSelectedError) != (null);
        }
        if ((dirtyFlags & 0x3602L) != 0) {


            if ((dirtyFlags & 0x3202L) != 0) {
            }
            if ((dirtyFlags & 0x3402L) != 0) {
            }
        }
        // batch finished
        if ((dirtyFlags & 0x2000L) != 0) {
            // api target 3
            if(getBuildSdkInt() >= 3) {

                this.clazzEnrolmentEditFromDateText.setInputType(android.text.InputType.TYPE_NULL);
                this.clazzEnrolmentEditReasonText.setInputType(android.text.InputType.TYPE_NULL);
                this.clazzEnrolmentEditToDateText.setInputType(android.text.InputType.TYPE_NULL);
            }
            // api target 1

            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateTimeInMillisChanged(this.clazzEnrolmentEditFromDateText, clazzEnrolmentEditFromDateTextdateTimeInMillisAttrChanged);
            com.ustadmobile.port.android.view.binding.EditTextBindingsKt.setRunOnClickWhenFocused(this.clazzEnrolmentEditFromDateText, true);
            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setSelectedMessageIdListener(this.clazzEnrolmentEditOutcomeText, clazzEnrolmentEditOutcomeTextselectedMessageIdOptionAttrChanged);
            this.clazzEnrolmentEditReasonText.setOnClickListener(mCallback116);
            com.ustadmobile.port.android.view.binding.EditTextBindingsKt.setRunOnClickWhenFocused(this.clazzEnrolmentEditReasonText, true);
            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setSelectedMessageIdListener(this.clazzEnrolmentEditRoleText, clazzEnrolmentEditRoleTextselectedMessageIdOptionAttrChanged);
            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateTimeInMillisChanged(this.clazzEnrolmentEditToDateText, clazzEnrolmentEditToDateTextdateTimeInMillisAttrChanged);
            com.ustadmobile.port.android.view.binding.EditTextBindingsKt.setRunOnClickWhenFocused(this.clazzEnrolmentEditToDateText, true);
        }
        if ((dirtyFlags & 0x3402L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateTime2(this.clazzEnrolmentEditFromDateText, clazzEnrolmentClazzEnrolmentDateJoined, timeZoneId, androidxDatabindingViewDataBindingSafeUnboxDateTimeMode);
        }
        if ((dirtyFlags & 0x2100L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.clazzEnrolmentEditFromDateTextinputlayout, startDateError);
            this.clazzEnrolmentEditFromDateTextinputlayout.setErrorEnabled(startDateErrorJavaLangObjectNull);
        }
        if ((dirtyFlags & 0x2080L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setOnMessageIdOptionSelected(this.clazzEnrolmentEditOutcomeText, statusSelectorListener);
        }
        if ((dirtyFlags & 0x2012L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setMessageIdOptions(this.clazzEnrolmentEditOutcomeText, statusOptions, clazzEnrolmentClazzEnrolmentOutcome);
        }
        if ((dirtyFlags & 0x2002L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.clazzEnrolmentEditReasonText, clazzEnrolmentLeavingReasonLeavingReasonTitle);
            this.clazzEnrolmentEditReasonTextinputlayout.setEnabled(clazzEnrolmentClazzEnrolmentOutcomeClazzEnrolmentOUTCOMEINPROGRESS);
        }
        if ((dirtyFlags & 0x2042L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setMessageIdOptions(this.clazzEnrolmentEditRoleText, roleOptions, clazzEnrolmentClazzEnrolmentRole);
        }
        if ((dirtyFlags & 0x2800L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.clazzEnrolmentEditRoleTextinputlayout, roleSelectedError);
            this.clazzEnrolmentEditRoleTextinputlayout.setErrorEnabled(roleSelectedErrorJavaLangObjectNull);
        }
        if ((dirtyFlags & 0x3202L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateTime2(this.clazzEnrolmentEditToDateText, clazzEnrolmentClazzEnrolmentDateLeft, timeZoneId, androidxDatabindingViewDataBindingSafeUnboxDateTimeModeEnd);
        }
        if ((dirtyFlags & 0x2008L) != 0) {
            // api target 1

            this.clazzEnrolmentEditToDateTextinputlayout.setEnabled(fieldsEnabled);
        }
        if ((dirtyFlags & 0x2020L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.clazzEnrolmentEditToDateTextinputlayout, endDateError);
            this.clazzEnrolmentEditToDateTextinputlayout.setErrorEnabled(endDateErrorJavaLangObjectNull);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // presenter != null
        boolean presenterJavaLangObjectNull = false;
        // presenter
        com.ustadmobile.core.controller.ClazzEnrolmentEditPresenter presenter = mPresenter;



        presenterJavaLangObjectNull = (presenter) != (null);
        if (presenterJavaLangObjectNull) {


            presenter.handleReasonLeavingClicked();
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): loading
        flag 1 (0x2L): clazzEnrolment
        flag 2 (0x3L): presenter
        flag 3 (0x4L): fieldsEnabled
        flag 4 (0x5L): statusOptions
        flag 5 (0x6L): endDateError
        flag 6 (0x7L): roleOptions
        flag 7 (0x8L): statusSelectorListener
        flag 8 (0x9L): startDateError
        flag 9 (0xaL): dateTimeModeEnd
        flag 10 (0xbL): dateTimeMode
        flag 11 (0xcL): roleSelectedError
        flag 12 (0xdL): timeZoneId
        flag 13 (0xeL): null
    flag mapping end*/
    //end
}